{pkgs, ...}: {
  home.packages = [pkgs.zed-editor];
  xdg.configFile."zed/settings.json".text = builtins.toJSON {
    buffer_font_family = "Monaspace Neon";
    buffer_font_size = 16;
    soft_wrap = "editor_width";
    telemetry = {
      diagnostics = false;
      metrics = false;
    };
    terminal = {
      font_family = "Monaspace Neon";
      shell = {program = "nu";};
    };
    theme = "Catppuccin Mocha";
    ui_font_size = 16;
    vim_mode = false;
    assistant = {
      version = "1";
      provider.name = "anthropic";
    };
  };
}
