{pkgs, ...}: {
  programs.aerc = {
    enable = true;
    extraConfig = {
      general = {
        default-save-path = "~/Downloads";
        pgp-provider = "gpg";
        unsafe-accounts-conf = true;
      };
      ui = {
        border-char-vertical = "│";
        border-char-horizontal = "─";
        styleset-name = "catppuccin-mocha";
        spinner = "▰▱▱▱▱▱▱,▰▰▱▱▱▱▱,▰▰▰▱▱▱▱,▰▰▰▰▱▱▱,▰▰▰▰▰▱▱,▰▰▰▰▰▰▱,▰▰▰▰▰▰▰";
        spinner-interval = "40ms";
      };
      filters = {
        "text/html" = "html | colorize";
        "text/plain" = "colorize";
      };
    };
    extraAccounts = {
      fastmail = {
        source = "imaps://john%40jolheiser.com@imap.fastmail.com:993";
        source-cred-cmd = "git config --get sendemail.smtpPass";
        outgoing = "smtps://john%40jolheiser.com@smtp.fastmail.com:465";
        outgoing-cred-cmd = "git config --get sendemail.smtpPass";
        default = "INBOX";
        from = ''"John Olheiser" <john@jolheiser.com>'';
        cache-headers = true;
      };
    };
    stylesets = {
      catppuccin-mocha = builtins.readFile (pkgs.fetchFromGitHub {
          owner = "catppuccin";
          repo = "aerc";
          rev = "c1f233bd22894d7ccf69846c3bd7bcd5af0fc2a2";
          sha256 = "sha256-YJdNPROhwgge14O1zuGh/ZK/qjHDxi+xdAyPEIXRI9c=";
        }
        + "/dist/catppuccin-mocha");
    };
  };
}
