{pkgs, ...}: {
  imports = [../nogui];

  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security = {rtkit.enable = true;};
  services = {
    pipewire = {
      enable = true;
      pulse.enable = true;
      alsa.enable = true;
    };
    xserver = {
      enable = true;
      displayManager.lightdm.enable = true;
      desktopManager.cinnamon.enable = true;
      xkb = {
        layout = "us";
        variant = "";
      };
    };
  };
  fonts.packages = with pkgs; [(nerdfonts.override {fonts = ["JetBrainsMono" "Iosevka" "Hack"];}) monaspace];
  environment.systemPackages = [pkgs.tailscale-systray];
}
