{config, ...}: {
  age.secrets = {
    restic-env.file = ../../secrets/personal/restic-env.age;
    restic-pass.file = ../../secrets/personal/restic-pass.age;
    restic-repo.file = ../../secrets/personal/restic-repo.age;
  };
  services.restic.backups.dragonwell = {
    initialize = true;
    environmentFile = config.age.secrets.restic-env.path;
    passwordFile = config.age.secrets.restic-pass.path;
    repositoryFile = config.age.secrets.restic-repo.path;
    paths = ["/var/lib/ugit/repos"];
    pruneOpts = ["--keep-daily 7" "--keep-weekly 2" "--keep-monthly 2"];
    timerConfig = {
      OnCalendar = "daily";
      Persistent = true;
    };
  };
}
